define([
		'Global'
	],
	function (Global) {
		'use strict';
		var DesiredDate = Backbone.Model.extend({
			defaults: {
				"desiredDate": ""
			},
			initialize: function (options) {
                this.options = options || {};
				
				this.set({desiredDate: this.options.desiredDate});
			}
		});

		DesiredDate.singleInstance = null;

		DesiredDate.instance = function (attributes) {
			if (attributes) {
				DesiredDate.singleInstance = new DesiredDate(attributes);
			} else {
				DesiredDate.singleInstance = DesiredDate.singleInstance || new DesiredDate();
			}

			return DesiredDate.singleInstance;
		};

		DesiredDate.clearInstance = function () {
			DesiredDate.singleInstance = null;
		};

		return DesiredDate;
	}
);
